PAM_EXEC(8)

NAME
pam_exec - PAM module which calls an external command

SYNOPSIS

pam_exec.so [debug] [expose_authtok] [seteuid] [quiet] [log=file] command [...]

DESCRIPTION

pam_exec is a PAM module that can be used to run an external command.

The child's environment is set to the current PAM environment list, as returned by pam_getenvlist(3) In addition, the following PAM items are exported as environment variables: PAM_RHOST, PAM_RUSER, PAM_SERVICE, PAM_TTY, PAM_USER and PAM_TYPE, which contains one of the module types: account, auth, password, open_session and close_session.

OPTIONS

debug
    Print debug information.

expose_authtok
    During authentication the calling command can read the password from stdin(3).

log=file
    The output of the command is appended to file

quiet
    Per default pam_exec.so will echo the exit status of the external command if it fails. Specifying this option will suppress the message.

seteuid
    Per default pam_exec.so will execute the external command with the real user ID of the calling process. Specifying this option means the command is run with the effective user ID.

MODULE TYPES PROVIDED

All module types (auth, account, password and session) are provided.

RETURN VALUES

PAM_SUCCESS
    The external command was run successfully.

PAM_SERVICE_ERR
    No argument or a wrong number of arguments were given.

PAM_SYSTEM_ERR
    A system error occurred or the command to execute failed.

PAM_IGNORE
    pam_setcred was called, which does not execute the command.

EXAMPLES

Add the following line to /etc/pam.d/passwd to rebuild the NIS database after each local password change:

            passwd optional pam_exec.so seteuid make -C /var/yp

This will execute the command

    make -C /var/yp

with effective user ID.

SEE ALSO

pam.conf(5), pam.d(5), pam(7)

AUTHOR

pam_exec was written by Thorsten Kukuk <kukuk@thkukuk.de>.